robotpkg/architecture/orocos-ocl bulk build results

Log for orocos-ocl-2.8.1 on Ubuntu-16.04-x86_64: bulk.log (Back)

=> Checking for clear installation ===> Installing bootstrap dependencies for orocos-ocl-2.8.1 => Installing digest-20080510.tgz => Installing tnftp-20130505~ssl.tgz ===> Checking bootstrap dependencies for orocos-ocl-2.8.1 => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package git>=1.6: git-2.7.4 found => Required system package gnupg>=1: gnupg-1.4.20 found => Required system package gzip: gzip-1.6 found => Required system package patch>=2.0: patch-2.7.5 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.7: pkg_install-20110805.7 found => Required system package pkgrepo2deb>=1.2.1: pkgrepo2deb-1.2.1 found ===> Done bootstrap-depends for orocos-ocl-2.8.1 ===> Installing full dependencies for orocos-ocl-2.8.1 => Dependency digest-20080510 already installed => Installing orocos-log4cpp-2.8.1.tgz => Installing orocos-rtt-2.8.1r1.tgz => Dependency tnftp-20130505~ssl already installed ===> Checking build options for orocos-ocl-2.8.1 => Building with no option. ===> Checking alternatives for orocos-ocl-2.8.1 => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 ===> Checking dependencies for orocos-ocl-2.8.1 => Required system package boost-headers>=1.38: boost-headers-1.58 found => Required system package boostlib-filesystem>=1.38: boost-libs-1.58.0 found => Required system package boostlib-iostreams>=1.38: boost-libs-1.58.0 found => Required system package boostlib-math>=1.38: boost-libs-1.58.0 found => Required system package boostlib-thread>=1.38: boost-libs-1.58.0 found => Required system package cmake>=2.6: cmake-3.5.1 found => Required system package doxygen>=1.5: doxygen-1.8.11 found => Required system package g++>=3: g++-5.4.0 found => Required system package gcc>=3: gcc-5.4.0 found => Required system package libstdc++: libstdc++ found => Required system package log4cxx>=0.10: log4cxx-0.10.0 found => Required system package ncurses>=5: ncurses-6.0 found => Required system package netcdf: netcdf-4.4.0 found => Required system package readline>=5: readline-6.3 found => Required robotpkg package orocos-log4cpp>=2.8.0rc1: orocos-log4cpp-2.8.1 found => Required robotpkg package orocos-rtt>=2.8.0rc1: orocos-rtt-2.8.1r1 found ===> Done depends for orocos-ocl-2.8.1 ===> Extracting for orocos-ocl-2.8.1 => SHA1 checksums OK => RMD160 checksums OK ===> Patching for orocos-ocl-2.8.1 => Applying robotpkg patches for orocos-ocl-2.8.1 ===> Configuring for orocos-ocl-2.8.1 Orocos Component Library version (2.8.1) No orocos-ocl.cmake file loaded, using default settings.See orocos-ocl.default.cmake CMake Warning at /opt/openrobots/lib/cmake/orocos-rtt/UseOROCOS-RTT-helpers.cmake:71 (message): [orocos_get_manifest_deps] xpath not found. Can't read dependencies in manifest.xml file. Call Stack (most recent call first): /opt/openrobots/lib/cmake/orocos-rtt/UseOROCOS-RTT.cmake:211 (orocos_get_manifest_deps) CMakeLists.txt:152 (include) Looking for netcdf in /opt/openrobots Found NetCDF include dirs: /usr/include libs: /usr/lib/x86_64-linux-gnu/libnetcdf.so Skipping include path '/usr/include' Found Doxygen -- documentation can be built -- Looking for curses implementation - found libncurses -- Looking for readline/readline.h - found -- Looking for editline/readline.h - not found Setting LOG4CPP_ROOT to /opt/openrobots Log4cpp version to look for: 6.0.0 (hard-coded in FindLog4cpp.cmake). Found log4cpp in /opt/openrobots/include Found log4cxx in /usr/include Building TaskBrowser with readline support. CMake Warning (dev) at config/FindRTTPlugin.cmake:81 (if): Policy CMP0054 is not set: Only interpret if() arguments as variables or keywords when unquoted. Run "cmake --help-policy CMP0054" for policy details. Use the cmake_policy command to set the policy and suppress this warning. Quoted variables like "RTT_PLUGIN_rtt-scripting_LIBRARIES" will no longer be dereferenced when the policy is set to NEW. Since the policy is not set the OLD behavior will be used. Call Stack (most recent call first): taskbrowser/CMakeLists.txt:38 (find_package) This warning is for project developers. Use -Wno-dev to suppress it. CMake Warning (dev) at config/FindRTTPlugin.cmake:81 (if): Policy CMP0054 is not set: Only interpret if() arguments as variables or keywords when unquoted. Run "cmake --help-policy CMP0054" for policy details. Use the cmake_policy command to set the policy and suppress this warning. Quoted variables like "RTT_PLUGIN_rtt-marshalling_LIBRARIES" will no longer be dereferenced when the policy is set to NEW. Since the policy is not set the OLD behavior will be used. Call Stack (most recent call first): reporting/CMakeLists.txt:6 (find_package) This warning is for project developers. Use -Wno-dev to suppress it. CMake Warning (dev) at config/FindRTTPlugin.cmake:81 (if): Policy CMP0054 is not set: Only interpret if() arguments as variables or keywords when unquoted. Run "cmake --help-policy CMP0054" for policy details. Use the cmake_policy command to set the policy and suppress this warning. Quoted variables like "RTT_PLUGIN_rtt-marshalling_LIBRARIES" will no longer be dereferenced when the policy is set to NEW. Since the policy is not set the OLD behavior will be used. Call Stack (most recent call first): deployment/CMakeLists.txt:5 (find_package) This warning is for project developers. Use -Wno-dev to suppress it. Selected Libraries: ===> Building for orocos-ocl-2.8.1 ===> Installing for orocos-ocl-2.8.1 => Registering installation for orocos-ocl-2.8.1 Added orocos-log4cpp-2.8.1 to the requirements of orocos-ocl-2.8.1 Added orocos-rtt-2.8.1r1 to the requirements of orocos-ocl-2.8.1 ===> Done install for orocos-ocl-2.8.1 ===> Building binary package for orocos-ocl-2.8.1 Creating package /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-16.04-x86_64/All/orocos-ocl-2.8.1 => Linking package in /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-16.04-x86_64/pub => Building debian binary package dpkg-deb: building package 'robotpkg-orocos-ocl' in '/local/robotpkg/var/tmp/robotpkg/architecture/orocos-ocl/work/pkg2deb.12833/robotpkg-orocos-ocl_2.8.1_amd64.deb'. WARNING: N: Ignoring file '50unattended-upgrades.ucf-dist' in directory '/etc/apt/apt.conf.d/' as it has an invalid filename extension WARNING: N: Ignoring file '50unattended-upgrades.ucf-dist' in directory '/etc/apt/apt.conf.d/' as it has an invalid filename extension ===> Deinstalling for orocos-ocl Removing dependency orocos-log4cpp-2.8.1 Removing dependency orocos-rtt-2.8.1r1 Removing dependency Removed orocos-ocl-2.8.1 Removed digest-20080510 Removed tnftp-20130505~ssl